package com.zzsn.utils;

import java.util.ArrayList;
import java.util.List;

/**
 * 分页数据对象
 * @author 李东亮
 * @date 2014-5-29 上午10:34:38
 * @company 郑州数能软件科技有限公司
 */
public class Pager<T> {

	private Long total=0L;
	private List<T> rows = new ArrayList<T>();
	//前台传递参数专用
	private Long offset;
	//前台传递参数专用
	private Long pagesize = 10L;
	
	
	
	public Long getTotal() {
		return total;
	}
	public void setTotal(Long total) {
		this.total = total;
	}
	public List<T> getRows() {
		return rows;
	}
	public void setRows(List<T> rows) {
		this.rows = rows;
	}
	public Long getOffset() {
		return offset;
	}
	public void setOffset(Long offset) {
		this.offset = offset;
	}
	public Long getPagesize() {
		return pagesize;
	}
	public void setPagesize(Long pagesize) {
		this.pagesize = pagesize;
	}

	
}
